import * as $dara from '@darabonba/typescript';
import { ListAutoTagRulesResponseBody } from "./ListAutoTagRulesResponseBody";
export declare class ListAutoTagRulesResponse extends $dara.Model {
    headers?: {
        [key: string]: string;
    };
    statusCode?: number;
    body?: ListAutoTagRulesResponseBody;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    validate(): void;
    constructor(map?: {
        [key: string]: any;
    });
}
